pioneersai(6)

NAME
pioneersai - AI player for Pioneers

SYNOPSIS
pioneersai [ -s server ] [ -p port ] [ -n name ]
[ -a algorithm ] [ -t milliseconds ] [ -c ]

DESCRIPTION
This manual page documents briefly the pioneersai command.

Pioneers is an emulation of the Settlers of Catan board game which can be played over the internet. This is an AI player implementation that can take part in Pioneers games.

OPTIONS

-s server
    Connect to a pioneers game running on server.

-p port
    Connect to a pioneers game running on port.

-n name
    Specify name of AI player. Leave absent for a random name.

-a algorithm
    Specify algorithm of AI player. The only possible value is "greedy"

-t milliseconds
    Time to wait between turns, in milliseconds. Default is 1000.

-c  Do not chat with other players.

ENVIRONMENT
The default settings of the AI can be influenced with the following environment variable:

PIONEERS_DIR
    The path to the file with player names. If it is not set, the default installation path will be used.

FILES
/opt/local/share/games/pioneers/computer_names
    A list of names the AI can use

AUTHOR
This manual page was written by Jeff Breidenbach <jab@debian.org>, and updated by Roland Clobus <rclobus@bigfoot.com>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-gtk(6), pioneers-server-console(6)